- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# FbxCameraSwitcher Class Reference

This reference page is linked to from the following overview topics: FBX Node Attributes, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

This node attribute contains methods for accessing the properties of a camera switcher.

The camera switcher is a concept of Motion Builder. The camera switcher lets you switch between the custom cameras placed in your scene so you can create an animation using multiple camera angles. Custom cameras are cameras which created by users, while the default cameras are top, bottom, left, right, front, back and perspective camera. The Camera switcher contains the custom cameras you have created. If you have no custom cameras created in your scene, the Camera switcher is empty. Please read Motion Builder documentation for more details.

See also:
  FbxCamera and FbxCameraStereo.

Examples:

  ViewScene/SetCamera.cxx.

Definition at line 34 of file fbxcameraswitcher.h.

`#include <fbxcameraswitcher.h>`

Inheritance diagram for FbxCameraSwitcher:
[legend]

List of all members.

## Public Member Functions
virtual FbxNodeAttribute::EType | GetAttributeType () const
| Return the type of node attribute which is EType::eCameraSwitcher.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.
void | AddCameraName (char *pCameraName)
char * | GetCameraName (FbxUInt pIndex) const
FbxUInt | GetCameraNameCount () const
void | ClearCameraNames ()
## Protected Member Functions
| FbxCameraSwitcher (FbxManager &pManager, char const *pName)
virtual void | Destruct (bool pRecursive, bool pDependents)
virtual bool | ConstructProperties (bool pForceSet)
## Protected Attributes
FbxArray< FbxString * > | mCameraNameList
## Properties
FbxPropertyT< FbxInt > | CameraIndex
| This property handles the index of camera.
## Default Animation Values.
These functions provides direct access to default animation values specific to a camera switcher.The default animation values are found in the default take node of the associated node. These functions only work if the camera switcher has been associated with a node.Camera indices start at 1. Out of range indices are clamped between 1 and the number of cameras in the scene. The index of a camera refers to its order of appearance when searching the node tree depth first.
int | GetDefaultCameraIndex () const
| Get default camera index.
void | SetDefaultCameraIndex (int pIndex)
| Set default camera index.

## Constructor & Destructor Documentation

FbxCameraSwitcher | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual FbxNodeAttribute::EType GetAttributeType | ( |  | ) | const `[virtual]`

Search for all occurrences

Return the type of node attribute which is EType::eCameraSwitcher.

Reimplemented from FbxNodeAttribute.

int GetDefaultCameraIndex | ( |  | ) | const

Search for all occurrences

Get default camera index.

Returns:
  Camera index. The return value is an integer between 1 and the number of cameras in the scene, or 0 if there are no default camera set in the camera switcher.

void SetDefaultCameraIndex | ( | int | pIndex | ) |

Search for all occurrences

Set default camera index.

Parameters:

  pIndex | The index of the camera to set as default. This parameter has an integer scale from 1 to the number of cameras in the scene. Its default value is 1 if there is at least one camera in the camera switcher, 0 if there are none. No validation checks are made.

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

virtual void Destruct | ( | bool | pRecursive,
|  | bool | pDependents
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

virtual bool ConstructProperties | ( | bool | pForceSet | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxNodeAttribute.

void AddCameraName | ( | char * | pCameraName | ) |

Search for all occurrences

char* GetCameraName | ( | FbxUInt | pIndex | ) | const

Search for all occurrences

FbxUInt GetCameraNameCount | ( |  | ) | const

Search for all occurrences

void ClearCameraNames | ( |  | ) |

Search for all occurrences

## Member Data Documentation

FbxPropertyT<FbxInt> CameraIndex

Search for all occurrences

This property handles the index of camera.

Default value is 1.

Examples:
  ViewScene/SetCamera.cxx.

Definition at line 47 of file fbxcameraswitcher.h.

FbxArray<FbxString*> mCameraNameList `[protected]`

Search for all occurrences

Definition at line 106 of file fbxcameraswitcher.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxcameraswitcher.h

FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher
FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher FbxCameraSwitcher